Class | Semaphore
In: | lib/facets/more/semaphore.rb
Parent: | Object

# Semaphore

Technically a semaphore is simply an integer variable which has an execution queue associated with it.

### Methods

down exclusive new p signal synchronize up v wait

### Public Class methods

new(initvalue = 0)

### Public Instance methods

down()

Alias for wait

exclusive() {|| ...}
p()

Alias for wait

signal()
synchronize()

Alias for exclusive

up()

Alias for signal

v()

Alias for signal

wait()

[Validate]